org.encog.ml.prg.train

## Class ZeroEvalScoreFunction

- java.lang.Object
- - org.encog.ml.prg.train.ZeroEvalScoreFunction

- All Implemented Interfaces:
    Serializable, CalculateScore

      public class ZeroEvalScoreFunction
      extends Object
      implements CalculateScore, Serializable

  This is a very simple evaluation function that simply passes in all zeros for the input arguments. Make sure that the genome you are testing supports floating point numbers for inputs. This evaluation function is useful to test to very quickly verify that a genome is valid and does not generate any obvious division by zero issues. This allows a population generator to quickly eliminate some invalid genomes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZeroEvalScoreFunction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculateScore(MLMethod genome)` Calculate this network's score.
    `boolean` | `requireSingleThreaded()`
    `boolean` | `shouldMinimize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZeroEvalScoreFunction

          public ZeroEvalScoreFunction()

  - ### Method Detail

    - #### calculateScore

          public double calculateScore(MLMethod genome)

      Calculate this network's score.
      Specified by:
        `calculateScore` in interface `CalculateScore`
      Parameters:
        `genome` - The ML method.
      Returns:
        The score.

    - #### requireSingleThreaded

          public boolean requireSingleThreaded()

      Specified by:
        `requireSingleThreaded` in interface `CalculateScore`
      Returns:
        True, if this score function cannot be done in parallel.

    - #### shouldMinimize

          public boolean shouldMinimize()

      Specified by:
        `shouldMinimize` in interface `CalculateScore`
      Returns:
        True if the goal is to minimize the score.

Copyright © 2014. All Rights Reserved.